[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPObjectHashTable.Create

Create a new instance of TFPObjectHashTable

## Declaration

Source position: contnrs.pp line 469

`public constructor TFPObjectHashTable.Create(`
`AOwnsObjects: Boolean = true`
`);`

## Arguments

`AOwnsObjects` |  | Does the hash table own the objects stored in it?

## Description

Create creates a new instance of TFPObjectHashTable on the heap. It sets the OwnsObjects property to AOwnsObjects, and then calls the inherited Create. If AOwnsObjects is set to True, then the hash table owns the objects: whenever an object is removed from the list, it is automatically freed.

## Errors

If not enough memory is available on the heap, an exception may be raised.

## See also

TFPObjectHashTable.OwnsObjects |  | Does the hash table own the objects ?
TFPObjectHashTable.CreateWith |  | Create a new hash table with given size and hash function
TFPObjectHashTable.Items |  | Key-based access to the objects

The latest version of this document can be found at lazarus-ccr.sourceforge.net .